[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TDrawPanelEvent

Specifies an event handler used to draw a panel in a status bar.

## Declaration

Source position: comctrls.pp line 115

`type TDrawPanelEvent = procedure(`
`StatusBar: TStatusBar;`
`Panel: TStatusPanel;`
`const Rect: TRect`
`) of object;`

## Arguments

`StatusBar` |  | Status bar for the event notification.
`Panel` |  | Panel drawn by the event handler.
`Rect` |  | Drawing area for the event notification.

## Description

TDrawPanelEvent is the type used to implement the OnDrawPanel property in TStatusBar.

## See also

TStatusBar.OnDrawPanel |  | Event handler signalled to draw a panel in the status bar.